Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mindbright.terminal
Class TerminalMenuHandlerFullSwing

    java.lang.Object
      com.mindbright.terminal.TerminalMenuHandler
          com.mindbright.terminal.TerminalMenuHandlerFull
              com.mindbright.terminal.TerminalMenuHandlerFullSwing

All Implemented Interfaces:
  java.awt.event.ActionListener, java.util.EventListener, java.awt.event.ItemListener, TerminalOutputListener, TerminalPrinter

public class TerminalMenuHandlerFullSwing
extends TerminalMenuHandlerFull

Implements Swing-style menus for a terminal window.

See Also:
  `TerminalWin`, `TerminalMenuHandlerFull`

Field Summary

Fields inherited from class com.mindbright.terminal.TerminalMenuHandlerFull
`ENCODINGS, FONT_LIST, lastSearch, LBL_BG_COLOR, LBL_BTN_CANCEL, LBL_BTN_FIND, LBL_BTN_OK, LBL_CASE_SENSITIVE, LBL_COLUMNS, LBL_CURS_COLOR, LBL_CUSTOM_RGB, LBL_ENCODING, LBL_FG_COLOR, LBL_FIND, LBL_FIND_BACKWARDS, LBL_FONT, LBL_IGN_NULL, LBL_PASTE_BUTTON, LBL_ROWS, LBL_SCROLLBACK_BUFFER, LBL_SCROLLBAR_POS, LBL_SELECT_DELIM, LBL_SIZE, LBL_TAB_COLORS, LBL_TAB_GENERAL, LBL_TAB_MISC, LBL_TAB_VTOPTIONS1, LBL_TAB_VTOPTIONS2, LBL_TERMINAL_TYPE, MENU_EDIT, MENU_FILE, MENU_SETTINGS, menuItems, menuShortCuts, menuTexts, NO_SHORTCUT, PASTE_BUTTON, printerOut, SCROLLBAR_POS, term, TERMINAL_TYPES, titleName`

Constructor Summary
`TerminalMenuHandlerFullSwing()`

Method Summary
`protected void` | `addBasicMenusInternal(java.awt.Frame frame)`
`void` | `findDialog(java.lang.String title)` Show the find dialog.
`java.lang.Object` | `getMenu(int idx)`
`protected boolean` | `getState(int i, int j)`
`protected void` | `setEnabled(int i, int j, boolean v)`
`void` | `setPopupMenu(java.lang.Object menu)` Registers a popup menu.
`protected void` | `setState(int i, int j, boolean v)`
`void` | `showPopupMenu(int x, int y)` Show the popup menu at the indicated position.
`void` | `termSettingsDialog(java.lang.String title)` Show the terminal settings dialog.

Methods inherited from class com.mindbright.terminal.TerminalMenuHandlerFull
`actionPerformed, addBasicMenus, captureToFileDialog, chooseFileDialog, doFind, endCapture, getInstance, getProperty, handleMenuAction, itemStateChanged, printBuffer, printScreen, sendFileDialog, setProperty, setTerminalMenuListener, setTerminalWin, setTitleName, startPrinter, stopPrinter, termSettingsDialog, update, updateSelection, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TerminalMenuHandlerFullSwing

    public TerminalMenuHandlerFullSwing()

Method Detail

### setEnabled

    protected void setEnabled(int i,
                              int j,
                              boolean v)

  Specified by:
    `setEnabled` in class `TerminalMenuHandlerFull`

### setState

    protected void setState(int i,
                            int j,
                            boolean v)

  Specified by:
    `setState` in class `TerminalMenuHandlerFull`

### getState

    protected boolean getState(int i,
                               int j)

  Specified by:
    `getState` in class `TerminalMenuHandlerFull`

### addBasicMenusInternal

    protected void addBasicMenusInternal(java.awt.Frame frame)

  Specified by:
    `addBasicMenusInternal` in class `TerminalMenuHandlerFull`

### getMenu

    public java.lang.Object getMenu(int idx)

  Specified by:
    `getMenu` in class `TerminalMenuHandlerFull`

### termSettingsDialog

    public void termSettingsDialog(java.lang.String title)

  Description copied from class: `TerminalMenuHandlerFull`
  Show the terminal settings dialog.

  Specified by:
    `termSettingsDialog` in class `TerminalMenuHandlerFull`
  Parameters:
    `title` - desired title of dialog

### findDialog

    public void findDialog(java.lang.String title)

  Description copied from class: `TerminalMenuHandlerFull`
  Show the find dialog.

  Specified by:
    `findDialog` in class `TerminalMenuHandlerFull`
  Parameters:
    `title` - desired title of dialog

### setPopupMenu

    public void setPopupMenu(java.lang.Object menu)

  Description copied from class: `TerminalMenuHandler`
  Registers a popup menu.

  Specified by:
    `setPopupMenu` in class `TerminalMenuHandler`
  Parameters:
    `menu` - the popup menu. This is passed as an Object since it may be either a `PopupMenu` or `JPopupMenu`.

### showPopupMenu

    public void showPopupMenu(int x,
                              int y)

  Description copied from class: `TerminalMenuHandler`
  Show the popup menu at the indicated position.

  Specified by:
    `showPopupMenu` in class `TerminalMenuHandler`
  Parameters:
    `x` - x-coordinate of position to show menu ay
    `y` - y-coordinate of position to show menu ay

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD